Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class UserDataConstraintImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.UserDataConstraintImpl

All Implemented Interfaces:
  java.io.Serializable

    public class UserDataConstraintImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `transportGuarantee`

Constructor Summary
`UserDataConstraintImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String` | `getTransportGuarantee()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setTransportGuarantee(java.lang.String transportGuarantee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### transportGuarantee

    private java.lang.String transportGuarantee

Constructor Detail

### UserDataConstraintImpl

    public UserDataConstraintImpl()

Method Detail

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### getTransportGuarantee

    public java.lang.String getTransportGuarantee()

### setTransportGuarantee

    public void setTransportGuarantee(java.lang.String transportGuarantee)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD